This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 740971 - yum-verify throws exception when checksum is None (no read access on /sbin/audispd )
yum-verify throws exception when checksum is None (no read access on /sbin/a...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-23 20:22 EDT by igor.redhat@gmail.com
Modified: 2014-01-21 18:19 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:22:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description igor.redhat@gmail.com 2011-09-23 20:22:57 EDT
Description of problem:

I had a crash in the middle of a yum uprgade and ended up with a bunch of partially installed packages that yum believe were fully installed. So I tried running yum verify to check for missing files - yum verify ran for a while and then exited with an exception (see below)

Version-Release number of selected component (if applicable):

$ yum info yum-plugin-verify
Loaded plugins: langpacks, presto, refresh-packagekit, verify
Installed Packages
Name        : yum-plugin-verify
Arch        : noarch
Version     : 1.1.31
Release     : 2.fc16
Size        : 49 k
Repo        : installed
From repo   : fedora

Actual results:

$ yum verify
Loaded plugins: langpacks, presto, refresh-packagekit, verify
==================== Installed Packages ====================
NetworkManager.x86_64 : Network connection manager and user applications
    File: /var/run/NetworkManager
        Problem:  file is missing

at.x86_64 : Job spooling tools
    File: /var/spool/at/spool
        Problem:  file is missing (Permission denied)

audit.x86_64 : User space tools for 2.6 kernel auditing
    File: /etc/audisp/plugins.d
        Problem:  file is missing (Permission denied)
    File: /lib/systemd/system/auditd.service
        Problem:  checksum does not match
        Current:  sha256:e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855
        Original: sha256:a36ae19a9c1328747a91f565bca312a26bc61eab89ea27ec56053bb99049a437
                                   --------                                   
        Problem:  size does not match
        Current:    0  
        Original: 196  
    File: /sbin/audispd
        Problem:  checksum does not match
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 309, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 140, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 462, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/lib/yum-plugins/verify.py", line 363, in doCommand
    self.show_data(base, msg, ypl.installed, 'Installed Packages')
  File "/usr/lib/yum-plugins/verify.py", line 316, in show_data
    self.show_problem(base, msg, problem, done_prob)
  File "/usr/lib/yum-plugins/verify.py", line 284, in show_problem
    msg("        Current:  " + hib + cv + hie)
TypeError: cannot concatenate 'str' and 'NoneType' objects
Comment 1 igor.redhat@gmail.com 2011-09-23 21:01:57 EDT
After some checking, it looks like cv on /sbin/audispd is None. Here is what I have:

$ ll /sbin/audispd
-rwxr-x---. 1 root root 92192 Aug 30 13:37 /sbin/audispd
$ sha1sum /sbin/audispd
sha1sum: /sbin/audispd: Permission denied

Running yum verify under sudo completes just fine without exceptions.
Comment 2 Fedora End Of Life 2013-01-16 12:33:21 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 17:22:21 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.